=== debian/control ===
Source: base16384
Section: utils
Priority: optional
Maintainer: Fumiama Minamoto <fumiama@foxmail.com>
Build-Depends: debhelper-compat (= 13), cmake
Rules-Requires-Root: no
Standards-Version: 4.6.1
Homepage: https://github.com/fumiama/base16384

Package: base16384
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Encode binary files to printable utf16be
 There are 16384 Chinese characters (from \u4E00 to \u8DFF)
 as the "alphabet", just like what base64 did.
 If the length of the data has a remainder after mod 7,
 a unicode Chinese character \u3Dxx will be appended to present it
 with xx ranging from 01 to 06.

Package: libbase16384-2
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Dynamic library of base16384
 This package provides library files for base16384 algorithm,
 which has 16384 Chinese characters (from \u4E00 to \u8DFF)
 as the "alphabet", just like what base64 did.
 If the length of the data has a remainder after mod 7,
 a unicode Chinese character \u3Dxx will be appended to present it
 with xx ranging from 01 to 06.

Package: libbase16384-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, libbase16384-2 (= ${binary:Version})
Description: Header and archive of base16384
 This package provides header and archive for base16384,
 which has 16384 Chinese characters (from \u4E00 to \u8DFF)
 as the "alphabet", just like what base64 did.
 If the length of the data has a remainder after mod 7,
 a unicode Chinese character \u3Dxx will be appended to present it
 with xx ranging from 01 to 06.
