=== debian/changelog ===
base16384 (2.2.3-1) unstable; urgency=medium

  * New upstream release.

 -- Fumiama Minamoto <fumiama@foxmail.com>  Thu, 18 May 2023 15:51:27 +0800
