## base16384 2.2.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 if (POLICY CMP0048)
   cmake_policy(SET CMP0048 NEW)
 endif (POLICY CMP0048)
-project(base16384 VERSION 2.2.3)
+project(base16384 VERSION 2.2.5)
 
 add_executable(base16384_b base16384.c)
