=== debian/changelog ===
base16384 (2.2.5-1) unstable; urgency=medium

  * New upstream release.

 -- Fumiama Minamoto <fumiama@foxmail.com>  Mon, 18 Dec 2023 21:57:38 +0800
