=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Fumiama Minamoto <fumiama@foxmail.com>
 Build-Depends: debhelper-compat (= 13), cmake
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/fumiama/base16384
 
 Package: base16384
