=== debian/changelog ===
base16384 (2.3.1-1) unstable; urgency=medium

  * New upstream release.

 -- Fumiama Minamoto <fumiama@foxmail.com>  Sun, 07 Apr 2024 21:44:44 +0800

base16384 (2.3.0-1) unstable; urgency=medium

  * New upstream release.

 -- Fumiama Minamoto <fumiama@foxmail.com>  Fri, 05 Apr 2024 16:41:22 +0800
