## base16384 2.3.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
-cmake_minimum_required(VERSION 2.8.12)
+cmake_minimum_required(VERSION 2.8.12...4.1.1)
 if (POLICY CMP0048)
     cmake_policy(SET CMP0048 NEW)
 endif (POLICY CMP0048)
-project(base16384 VERSION 2.3.1)
+project(base16384 VERSION 2.3.2)
 
 add_definitions(-DBASE16384_VERSION="${PROJECT_VERSION}")
-add_definitions(-DBASE16384_VERSION_DATE="April 7th 2024")
+add_definitions(-DBASE16384_VERSION_DATE="Sep 4th 2025")
 
 message(STATUS "Testing endian...")
 include(TestBigEndian)
