=== debian/changelog ===
base16384 (2.3.2-1) unstable; urgency=medium

  * New upstream release:
  - Fix build failure for CMake 4. (Closes: #1112719)

 -- Fumiama Minamoto <fumiama@foxmail.com>  Thu, 04 Sep 2025 16:48:42 +0800
