=== debian/watch ===
version=4
https://github.com/fumiama/base16384/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz
